# Run tests in check section
%bcond_without check

# https://github.com/dgryski/go-bitstream
%global goipath         github.com/dgryski/go-bitstream
%global commit          3522498ce2c8ea06df73e55df58edfbfb33cfdd6

%global common_description %{expand:
Read and write bits from io.Reader and io.Writer streams.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        Read and write bits from io.Reader and io.Writer streams
# Detected licences
# - Expat License at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README


%changelog
* Thu Mar 07 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190307git3522498
- First package for Fedora

